## com.sun.jersey.api.client
Interface AsyncViewUniformInterface

All Known Implementing Classes:
  AsyncViewResource, AsyncViewResource.Builder

    public interface AsyncViewUniformInterface

Method Summary

`

`<T> java.util.concurrent.Future<T>`

`

`delete(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`delete(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`delete(T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`delete(T c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`get(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`get(T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`head(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`head(T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, T c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`options(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`options(T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(T c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(T c)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(T c, java.lang.Object requestEntity)`

Method Detail

### head

    <T> java.util.concurrent.Future<T> head(java.lang.Class<T> c)

### head

    <T> java.util.concurrent.Future<T> head(T c)

### options

    <T> java.util.concurrent.Future<T> options(java.lang.Class<T> c)

### options

    <T> java.util.concurrent.Future<T> options(T c)

### get

    <T> java.util.concurrent.Future<T> get(java.lang.Class<T> c)

### get

    <T> java.util.concurrent.Future<T> get(T c)

### put

    <T> java.util.concurrent.Future<T> put(java.lang.Class<T> c)

### put

    <T> java.util.concurrent.Future<T> put(T c)

### put

    <T> java.util.concurrent.Future<T> put(java.lang.Class<T> c,
                                           java.lang.Object requestEntity)

### put

    <T> java.util.concurrent.Future<T> put(T c,
                                           java.lang.Object requestEntity)

### post

    <T> java.util.concurrent.Future<T> post(java.lang.Class<T> c)

### post

    <T> java.util.concurrent.Future<T> post(T c)

### post

    <T> java.util.concurrent.Future<T> post(java.lang.Class<T> c,
                                            java.lang.Object requestEntity)

### post

    <T> java.util.concurrent.Future<T> post(T c,
                                            java.lang.Object requestEntity)

### delete

    <T> java.util.concurrent.Future<T> delete(java.lang.Class<T> c)

### delete

    <T> java.util.concurrent.Future<T> delete(T c)

### delete

    <T> java.util.concurrent.Future<T> delete(java.lang.Class<T> c,
                                              java.lang.Object requestEntity)

### delete

    <T> java.util.concurrent.Future<T> delete(T c,
                                              java.lang.Object requestEntity)

### method

    <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                              java.lang.Class<T> c)

### method

    <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                              T c)

### method

    <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                              java.lang.Class<T> c,
                                              java.lang.Object requestEntity)

### method

    <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                              T c,
                                              java.lang.Object requestEntity)

Copyright © 2017 Oracle Corporation. All Rights Reserved.